function th=mktheta(a,b,c,d,f,LAM,T)
%MKTHETA synonymous to POLY2TH

%	L. Ljung 10-1-86
%	Copyright (c) 1986-95 by the MathWorks, Inc.
%	$Revision: 1.2 $  $Date: 1995/01/24 00:54:03 $

[nu,nb1]=size(b); nu=nu(1);
if nargin<7, T=1;end
if nargin<6, LAM=1;end
if nargin<5, f=ones(nu,1);end
if nargin<4, d=1;end
if nargin<3, c=1;end
th=poly2th(a,b,c,d,f,LAM,T);
